Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Browse files

debian: simplify more

* don't track sql files one-by-one
* remove genpg.sh
* remove local pg_buildext
  • Loading branch information...
commit 4bf839a724caa4a58b24e39be78596f2f1d66491 1 parent f90dead
@markokr authored
View
74 debian/genpg.sh
@@ -1,74 +0,0 @@
-#! /bin/sh
-
-# generate per-version files
-
-test -f debian/genpg.sh || {
- echo "$0: Run it from top-level directory"
- exit 1
-}
-
-./misc/checkver.sh || {
- echo "$0: versions out of sync, stop"
- exit 1
-}
-
-cd debian
-
-for v in 8.3 8.4 9.0 9.1 9.2; do
-
-echo "usr/share/doc/postgresql-$v" > "postgresql-$v-pgq3.dirs"
-
-cat > "postgresql-$v-pgq3.docs" <<EOF
-sql/pgq/README.pgq
-sql/pgq_ext/README.pgq_ext
-EOF
-
-cat > "postgresql-$v-pgq3.install" <<EOF
-usr/lib/postgresql/$v/lib/pgq_triggers.so
-usr/lib/postgresql/$v/lib/pgq_lowlevel.so
-usr/share/postgresql/$v/contrib/pgq.upgrade.sql
-usr/share/postgresql/$v/contrib/pgq_triggers.sql
-usr/share/postgresql/$v/contrib/pgq_lowlevel.sql
-usr/share/postgresql/$v/contrib/pgq_node.sql
-usr/share/postgresql/$v/contrib/pgq_coop.upgrade.sql
-usr/share/postgresql/$v/contrib/pgq_ext.sql
-usr/share/postgresql/$v/contrib/londiste.sql
-usr/share/postgresql/$v/contrib/pgq_node.upgrade.sql
-usr/share/postgresql/$v/contrib/pgq.sql
-usr/share/postgresql/$v/contrib/pgq_coop.sql
-usr/share/postgresql/$v/contrib/londiste.upgrade.sql
-usr/share/postgresql/$v/contrib/uninstall_pgq.sql
-usr/share/postgresql/$v/contrib/newgrants_londiste.sql
-usr/share/postgresql/$v/contrib/newgrants_pgq_coop.sql
-usr/share/postgresql/$v/contrib/newgrants_pgq_ext.sql
-usr/share/postgresql/$v/contrib/newgrants_pgq_node.sql
-usr/share/postgresql/$v/contrib/newgrants_pgq.sql
-usr/share/postgresql/$v/contrib/oldgrants_londiste.sql
-usr/share/postgresql/$v/contrib/oldgrants_pgq_coop.sql
-usr/share/postgresql/$v/contrib/oldgrants_pgq_ext.sql
-usr/share/postgresql/$v/contrib/oldgrants_pgq_node.sql
-usr/share/postgresql/$v/contrib/oldgrants_pgq.sql
-EOF
-
-getmkvar() {
- grep "^$1 =" ../sql/$2/Makefile | sed 's/.*= *//'
-}
-
-if test "$v" = "9.1" -o "$v" = "9.2"; then
- for mod in pgq pgq_node pgq_coop pgq_ext londiste; do
- (
- modver=`getmkvar EXT_VERSION $mod`
- oldvers=`getmkvar EXT_OLD_VERSIONS $mod`
- echo "usr/share/postgresql/$v/extension/${mod}.control"
- echo "usr/share/postgresql/$v/extension/${mod}--${modver}.sql"
- echo "usr/share/postgresql/$v/extension/${mod}--unpackaged--${modver}.sql"
- for old in ${oldvers}; do
- echo "usr/share/postgresql/$v/extension/${mod}--${old}--${modver}.sql"
- done
- ) >> "postgresql-$v-pgq3.install"
- done
-fi
-
-done
-
-exit 0
View
105 debian/pg_buildext
@@ -1,105 +0,0 @@
-#!/bin/sh
-#
-# build a PostgreSQL module based on PGXS for give list of supported major
-# versions
-#
-# Author: Dimitri Fontaine <dfontaine@hi-media.com>
-
-set -e
-
-action="$1"
-srcdir="${2:-`pwd`}"
-target="$3"
-opt="$4"
-
-die() {
- echo "`basename $0`: error: $*" >&2
- exit 1
-}
-
-prepare_env() {
- version=$1
- vtarget=`echo $target | sed -e "s:%v:$version:g"`
- pgc="/usr/lib/postgresql/$version/bin/pg_config"
- [ -e "$pgc" ] || die "$pgc does not exists"
-}
-
-configure() {
- prepare_env $1
- confopts=`echo $opt | sed -e "s:%v:$version:g"`
-
- mkdir -p $vtarget
- ( echo "calling configure in $vtarget" &&
- cd $vtarget && $srcdir/configure $confopts PG_CONFIG="$pgc" )
-}
-
-build() {
- prepare_env $1
- cflags="`$pgc --cflags` `echo $opt | sed -e "s:%v:$version:g"`"
-
- mkdir -p $vtarget
- # if a Makefile was created by configure, use it, else the top level Makefile
- [ -f $vtarget/Makefile ] || makefile="-f $srcdir/Makefile"
- make -C $vtarget $makefile CFLAGS="$cflags" PG_CONFIG="$pgc" VPATH="$srcdir"
-}
-
-install() {
- prepare_env $1
- package=`echo $opt | sed -e "s:%v:$version:g"`
-
- mkdir -p $vtarget
- # if a Makefile was created by configure, use it, else the top level Makefile
- [ -f $vtarget/Makefile ] || makefile="-f $srcdir/Makefile"
- make -C $vtarget $makefile install DESTDIR="$srcdir/debian/$package" PG_CONFIG="$pgc" VPATH="$srcdir"
-}
-
-clean() {
- prepare_env $1
-
- # if a Makefile was created by configure, use it, else the top level Makefile
- [ -f $vtarget/Makefile ] || makefile="-f $srcdir/Makefile"
- [ -d $vtarget ] && make -C $vtarget clean $makefile PG_CONFIG="$pgc" VPATH="$srcdir"
- rm -rf $vtarget
-}
-
-versions() {
- if true; then
- # print all installed versions. assume deps take care of them.
- for v in `cat $srcdir/debian/pgversions`; do
- test -x /usr/lib/postgresql/$v/bin/pg_config && echo $v || true
- done
- else
- # print *only* officially supported versions ???
- [ -e /usr/share/postgresql-common/supported-versions ] ||
- die "/usr/share/postgresql-common/supported-versions not found"
- [ -e $srcdir/debian/pgversions ] || die "$srcdir/debian/pgversions not found"
- for v in `/usr/share/postgresql-common/supported-versions`
- do
- grep -q "^$v" $srcdir/debian/pgversions && echo $v
- done
- fi
-}
-
-[ "$srcdir" ] || die "syntax: pg_buildext <action> <srcdir> ..."
-[ -d $srcdir ] || die "no such directory '$srcdir'"
-
-VERSIONS=`versions`
-
-for v in $VERSIONS
-do
- case "$action" in
- "supported-versions")
- echo $v
- ;;
-
- configure|build|install|clean)
- [ "$target" ] || die "syntax: pg_buildext $action <srcdir> <target> ..."
- # be verbose?
- $action $v
- ;;
-
- *)
- die "unsupported $action."
- ;;
- esac
-done
View
23 debian/postgresql-8.3-pgq3.install
@@ -1,24 +1,3 @@
usr/lib/postgresql/8.3/lib/pgq_triggers.so
usr/lib/postgresql/8.3/lib/pgq_lowlevel.so
-usr/share/postgresql/8.3/contrib/pgq.upgrade.sql
-usr/share/postgresql/8.3/contrib/pgq_triggers.sql
-usr/share/postgresql/8.3/contrib/pgq_lowlevel.sql
-usr/share/postgresql/8.3/contrib/pgq_node.sql
-usr/share/postgresql/8.3/contrib/pgq_coop.upgrade.sql
-usr/share/postgresql/8.3/contrib/pgq_ext.sql
-usr/share/postgresql/8.3/contrib/londiste.sql
-usr/share/postgresql/8.3/contrib/pgq_node.upgrade.sql
-usr/share/postgresql/8.3/contrib/pgq.sql
-usr/share/postgresql/8.3/contrib/pgq_coop.sql
-usr/share/postgresql/8.3/contrib/londiste.upgrade.sql
-usr/share/postgresql/8.3/contrib/uninstall_pgq.sql
-usr/share/postgresql/8.3/contrib/newgrants_londiste.sql
-usr/share/postgresql/8.3/contrib/newgrants_pgq_coop.sql
-usr/share/postgresql/8.3/contrib/newgrants_pgq_ext.sql
-usr/share/postgresql/8.3/contrib/newgrants_pgq_node.sql
-usr/share/postgresql/8.3/contrib/newgrants_pgq.sql
-usr/share/postgresql/8.3/contrib/oldgrants_londiste.sql
-usr/share/postgresql/8.3/contrib/oldgrants_pgq_coop.sql
-usr/share/postgresql/8.3/contrib/oldgrants_pgq_ext.sql
-usr/share/postgresql/8.3/contrib/oldgrants_pgq_node.sql
-usr/share/postgresql/8.3/contrib/oldgrants_pgq.sql
+usr/share/postgresql/8.3/contrib
View
23 debian/postgresql-8.4-pgq3.install
@@ -1,24 +1,3 @@
usr/lib/postgresql/8.4/lib/pgq_triggers.so
usr/lib/postgresql/8.4/lib/pgq_lowlevel.so
-usr/share/postgresql/8.4/contrib/pgq.upgrade.sql
-usr/share/postgresql/8.4/contrib/pgq_triggers.sql
-usr/share/postgresql/8.4/contrib/pgq_lowlevel.sql
-usr/share/postgresql/8.4/contrib/pgq_node.sql
-usr/share/postgresql/8.4/contrib/pgq_coop.upgrade.sql
-usr/share/postgresql/8.4/contrib/pgq_ext.sql
-usr/share/postgresql/8.4/contrib/londiste.sql
-usr/share/postgresql/8.4/contrib/pgq_node.upgrade.sql
-usr/share/postgresql/8.4/contrib/pgq.sql
-usr/share/postgresql/8.4/contrib/pgq_coop.sql
-usr/share/postgresql/8.4/contrib/londiste.upgrade.sql
-usr/share/postgresql/8.4/contrib/uninstall_pgq.sql
-usr/share/postgresql/8.4/contrib/newgrants_londiste.sql
-usr/share/postgresql/8.4/contrib/newgrants_pgq_coop.sql
-usr/share/postgresql/8.4/contrib/newgrants_pgq_ext.sql
-usr/share/postgresql/8.4/contrib/newgrants_pgq_node.sql
-usr/share/postgresql/8.4/contrib/newgrants_pgq.sql
-usr/share/postgresql/8.4/contrib/oldgrants_londiste.sql
-usr/share/postgresql/8.4/contrib/oldgrants_pgq_coop.sql
-usr/share/postgresql/8.4/contrib/oldgrants_pgq_ext.sql
-usr/share/postgresql/8.4/contrib/oldgrants_pgq_node.sql
-usr/share/postgresql/8.4/contrib/oldgrants_pgq.sql
+usr/share/postgresql/8.4/contrib
View
23 debian/postgresql-9.0-pgq3.install
@@ -1,24 +1,3 @@
usr/lib/postgresql/9.0/lib/pgq_triggers.so
usr/lib/postgresql/9.0/lib/pgq_lowlevel.so
-usr/share/postgresql/9.0/contrib/pgq.upgrade.sql
-usr/share/postgresql/9.0/contrib/pgq_triggers.sql
-usr/share/postgresql/9.0/contrib/pgq_lowlevel.sql
-usr/share/postgresql/9.0/contrib/pgq_node.sql
-usr/share/postgresql/9.0/contrib/pgq_coop.upgrade.sql
-usr/share/postgresql/9.0/contrib/pgq_ext.sql
-usr/share/postgresql/9.0/contrib/londiste.sql
-usr/share/postgresql/9.0/contrib/pgq_node.upgrade.sql
-usr/share/postgresql/9.0/contrib/pgq.sql
-usr/share/postgresql/9.0/contrib/pgq_coop.sql
-usr/share/postgresql/9.0/contrib/londiste.upgrade.sql
-usr/share/postgresql/9.0/contrib/uninstall_pgq.sql
-usr/share/postgresql/9.0/contrib/newgrants_londiste.sql
-usr/share/postgresql/9.0/contrib/newgrants_pgq_coop.sql
-usr/share/postgresql/9.0/contrib/newgrants_pgq_ext.sql
-usr/share/postgresql/9.0/contrib/newgrants_pgq_node.sql
-usr/share/postgresql/9.0/contrib/newgrants_pgq.sql
-usr/share/postgresql/9.0/contrib/oldgrants_londiste.sql
-usr/share/postgresql/9.0/contrib/oldgrants_pgq_coop.sql
-usr/share/postgresql/9.0/contrib/oldgrants_pgq_ext.sql
-usr/share/postgresql/9.0/contrib/oldgrants_pgq_node.sql
-usr/share/postgresql/9.0/contrib/oldgrants_pgq.sql
+usr/share/postgresql/9.0/contrib
View
46 debian/postgresql-9.1-pgq3.install
@@ -1,46 +1,4 @@
usr/lib/postgresql/9.1/lib/pgq_triggers.so
usr/lib/postgresql/9.1/lib/pgq_lowlevel.so
-usr/share/postgresql/9.1/contrib/pgq.upgrade.sql
-usr/share/postgresql/9.1/contrib/pgq_triggers.sql
-usr/share/postgresql/9.1/contrib/pgq_lowlevel.sql
-usr/share/postgresql/9.1/contrib/pgq_node.sql
-usr/share/postgresql/9.1/contrib/pgq_coop.upgrade.sql
-usr/share/postgresql/9.1/contrib/pgq_ext.sql
-usr/share/postgresql/9.1/contrib/londiste.sql
-usr/share/postgresql/9.1/contrib/pgq_node.upgrade.sql
-usr/share/postgresql/9.1/contrib/pgq.sql
-usr/share/postgresql/9.1/contrib/pgq_coop.sql
-usr/share/postgresql/9.1/contrib/londiste.upgrade.sql
-usr/share/postgresql/9.1/contrib/uninstall_pgq.sql
-usr/share/postgresql/9.1/contrib/newgrants_londiste.sql
-usr/share/postgresql/9.1/contrib/newgrants_pgq_coop.sql
-usr/share/postgresql/9.1/contrib/newgrants_pgq_ext.sql
-usr/share/postgresql/9.1/contrib/newgrants_pgq_node.sql
-usr/share/postgresql/9.1/contrib/newgrants_pgq.sql
-usr/share/postgresql/9.1/contrib/oldgrants_londiste.sql
-usr/share/postgresql/9.1/contrib/oldgrants_pgq_coop.sql
-usr/share/postgresql/9.1/contrib/oldgrants_pgq_ext.sql
-usr/share/postgresql/9.1/contrib/oldgrants_pgq_node.sql
-usr/share/postgresql/9.1/contrib/oldgrants_pgq.sql
-usr/share/postgresql/9.1/extension/pgq.control
-usr/share/postgresql/9.1/extension/pgq--3.1.3.sql
-usr/share/postgresql/9.1/extension/pgq--unpackaged--3.1.3.sql
-usr/share/postgresql/9.1/extension/pgq--3.1--3.1.3.sql
-usr/share/postgresql/9.1/extension/pgq--3.1.1--3.1.3.sql
-usr/share/postgresql/9.1/extension/pgq--3.1.2--3.1.3.sql
-usr/share/postgresql/9.1/extension/pgq_node.control
-usr/share/postgresql/9.1/extension/pgq_node--3.1.3.sql
-usr/share/postgresql/9.1/extension/pgq_node--unpackaged--3.1.3.sql
-usr/share/postgresql/9.1/extension/pgq_node--3.1--3.1.3.sql
-usr/share/postgresql/9.1/extension/pgq_coop.control
-usr/share/postgresql/9.1/extension/pgq_coop--3.1.1.sql
-usr/share/postgresql/9.1/extension/pgq_coop--unpackaged--3.1.1.sql
-usr/share/postgresql/9.1/extension/pgq_coop--3.1--3.1.1.sql
-usr/share/postgresql/9.1/extension/pgq_ext.control
-usr/share/postgresql/9.1/extension/pgq_ext--3.1.sql
-usr/share/postgresql/9.1/extension/pgq_ext--unpackaged--3.1.sql
-usr/share/postgresql/9.1/extension/londiste.control
-usr/share/postgresql/9.1/extension/londiste--3.1.3.sql
-usr/share/postgresql/9.1/extension/londiste--unpackaged--3.1.3.sql
-usr/share/postgresql/9.1/extension/londiste--3.1--3.1.3.sql
-usr/share/postgresql/9.1/extension/londiste--3.1.1--3.1.3.sql
+usr/share/postgresql/9.1/contrib
+usr/share/postgresql/9.1/extension
View
46 debian/postgresql-9.2-pgq3.install
@@ -1,46 +1,4 @@
usr/lib/postgresql/9.2/lib/pgq_triggers.so
usr/lib/postgresql/9.2/lib/pgq_lowlevel.so
-usr/share/postgresql/9.2/contrib/pgq.upgrade.sql
-usr/share/postgresql/9.2/contrib/pgq_triggers.sql
-usr/share/postgresql/9.2/contrib/pgq_lowlevel.sql
-usr/share/postgresql/9.2/contrib/pgq_node.sql
-usr/share/postgresql/9.2/contrib/pgq_coop.upgrade.sql
-usr/share/postgresql/9.2/contrib/pgq_ext.sql
-usr/share/postgresql/9.2/contrib/londiste.sql
-usr/share/postgresql/9.2/contrib/pgq_node.upgrade.sql
-usr/share/postgresql/9.2/contrib/pgq.sql
-usr/share/postgresql/9.2/contrib/pgq_coop.sql
-usr/share/postgresql/9.2/contrib/londiste.upgrade.sql
-usr/share/postgresql/9.2/contrib/uninstall_pgq.sql
-usr/share/postgresql/9.2/contrib/newgrants_londiste.sql
-usr/share/postgresql/9.2/contrib/newgrants_pgq_coop.sql
-usr/share/postgresql/9.2/contrib/newgrants_pgq_ext.sql
-usr/share/postgresql/9.2/contrib/newgrants_pgq_node.sql
-usr/share/postgresql/9.2/contrib/newgrants_pgq.sql
-usr/share/postgresql/9.2/contrib/oldgrants_londiste.sql
-usr/share/postgresql/9.2/contrib/oldgrants_pgq_coop.sql
-usr/share/postgresql/9.2/contrib/oldgrants_pgq_ext.sql
-usr/share/postgresql/9.2/contrib/oldgrants_pgq_node.sql
-usr/share/postgresql/9.2/contrib/oldgrants_pgq.sql
-usr/share/postgresql/9.2/extension/pgq.control
-usr/share/postgresql/9.2/extension/pgq--3.1.3.sql
-usr/share/postgresql/9.2/extension/pgq--unpackaged--3.1.3.sql
-usr/share/postgresql/9.2/extension/pgq--3.1--3.1.3.sql
-usr/share/postgresql/9.2/extension/pgq--3.1.1--3.1.3.sql
-usr/share/postgresql/9.2/extension/pgq--3.1.2--3.1.3.sql
-usr/share/postgresql/9.2/extension/pgq_node.control
-usr/share/postgresql/9.2/extension/pgq_node--3.1.3.sql
-usr/share/postgresql/9.2/extension/pgq_node--unpackaged--3.1.3.sql
-usr/share/postgresql/9.2/extension/pgq_node--3.1--3.1.3.sql
-usr/share/postgresql/9.2/extension/pgq_coop.control
-usr/share/postgresql/9.2/extension/pgq_coop--3.1.1.sql
-usr/share/postgresql/9.2/extension/pgq_coop--unpackaged--3.1.1.sql
-usr/share/postgresql/9.2/extension/pgq_coop--3.1--3.1.1.sql
-usr/share/postgresql/9.2/extension/pgq_ext.control
-usr/share/postgresql/9.2/extension/pgq_ext--3.1.sql
-usr/share/postgresql/9.2/extension/pgq_ext--unpackaged--3.1.sql
-usr/share/postgresql/9.2/extension/londiste.control
-usr/share/postgresql/9.2/extension/londiste--3.1.3.sql
-usr/share/postgresql/9.2/extension/londiste--unpackaged--3.1.3.sql
-usr/share/postgresql/9.2/extension/londiste--3.1--3.1.3.sql
-usr/share/postgresql/9.2/extension/londiste--3.1.1--3.1.3.sql
+usr/share/postgresql/9.2/contrib
+usr/share/postgresql/9.2/extension
View
1  source.cfg
@@ -17,7 +17,6 @@ recursive-include python/conf *.ini
recursive-include misc *.sh *.rc *.py *.css Cindent
recursive-include scripts *.py *.templ *.ini
recursive-include debian changelog control control.in docs rules compat pgversions README.*
-recursive-include debian pg_buildext genpg.sh
recursive-include debian *.dirs *.docs *.install *.init.d *.manpages *.postinst *.prerm *.ini
recursive-include doc Makefile *.py *.txt *.[1-9]
include debian/copyright
Please sign in to comment.
Something went wrong with that request. Please try again.